> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tool



## OpenAPI

````yaml /openapi.json post /api/tools
openapi: 3.1.0
info:
  description: >-
    Build and run voice assistants: configure an assistant, give it tools,
    knowledge and playbooks, place and read calls, and manage contacts,
    campaigns and analytics.


    Authenticate every request with an API key as a bearer token. See the API
    introduction for the response envelope, pagination and error shapes.
  title: Qall API
  version: 0.1.0
servers:
  - description: Production
    url: https://qall.io
security: []
paths:
  /api/tools:
    post:
      tags:
        - tools
      summary: Create Tool
      operationId: create_tool_api_tools_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ToolCreateIn'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_ToolOut_'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ToolCreateIn:
      properties:
        config:
          additionalProperties: true
          title: Config
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_active:
          default: true
          title: Is Active
          type: boolean
        kind:
          default: http
          title: Kind
          type: string
        name:
          title: Name
          type: string
      required:
        - name
      title: ToolCreateIn
      type: object
    APIResponse_ToolOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ToolOut'
            - type: 'null'
        message:
          title: Message
          type: string
        success:
          title: Success
          type: boolean
      required:
        - success
        - message
      title: APIResponse[ToolOut]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ToolOut:
      properties:
        config:
          additionalProperties: true
          title: Config
          type: object
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: Id
          type: integer
        is_active:
          title: Is Active
          type: boolean
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        name:
          title: Name
          type: string
        type:
          title: Type
          type: string
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
        - type
        - is_active
      title: ToolOut
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.